Subject: Re: [hrpc] draft-ietf-uta-require-tls

From: Niels ten Oever <[email-masked]>
Date: Sat, 18 Aug 2018 19:39:16 +0200

Hi Jim,

Sorry to be late in reply-ing.

On 07/28/2018 10:03 PM, Jim Fenton wrote:
> On 7/27/18 3:33 AM, Niels ten Oever wrote:
>>
>>>   > The problem I have been trying to solve is that senders of email
>>> messages don’t
>>>   > have any control or knowledge whether their messages are sent via
>>> TLS transport
>>>   > once they have submitted them. STARTTLS for email is
>>> opportunistic: TLS
>>>   > transport is only used if the sender and receiver on a particular
>>> transit hop
>>>   > both support it and can agree on cipher suites, etc. Verification
>>> of the
>>>   > receiver (SMTP server) certificate is generally ignored, meaning
>>> that
>>>   > man-in-the-middle and other impersonation attacks are possible. And
>>>   > intermediaries can (and sometimes do) interfere in the
>>> negotiation of STARTTLS
>>>   > so that they can intercept the message traffic.
>>>   >
>> I think mail providers were afraid that let this hard-fail, right? Has
>> this changed?
> 
> For opportunistic TLS, ignoring certificate validation makes a lot of
> sense. Even an unauthenticated TLS connection provides protection
> against passive eavesdropping. It just doesn't protect against
> man-in-the-middle attacks. So it makes more sense to ignore certificate
> verification than to fail back to entirely unencrypted (unless you can't
> negotiate TLS at all).
> 
> REQUIRETLS removes the opportunistic nature from the transit, so it
> makes sense to enforce certificate verification when it is used.
> 
>>
>>>   > REQUIRETLS addresses this by allowing a message sender (SMTP
>>> client) to specify
>>>   > that all onward transmission of that message must be via TLS to a
>>> server with a
>>>   > verified certificate that also supports REQUIRETLS. Even if
>>> message bodies are
>>>   > end-to-end encrypted, TLS is still valuable in protecting the
>>> message header
>>>   > and other metadata from interception on the wire. The use of
>>> REQUIRETLS is also
>>>   > not visible to a passive attacker, because its use occurs within
>>> a TLS session.
>>>   >
>>>   > There is a second aspect to REQUIRETLS where it can be used to
>>> loosen
>>>   > server-side TLS requirements (MTA-STS and DANE) in order to
>>> improve the
>>>   > delivery of important but non-sensitive traffic, but this is an
>>> entirely
>>>   > separate use case.
>>>   >
>>>   > REQUIRETLS is described in an Internet Draft,
>>> draft-ietf-uta-require-tls, which
>>>   > is currently in working group last call. But there has been
>>> little support for
>>>   > REQUIRETLS from the communities that I think would find it
>>> valuable, and I’m
>>>   > looking for more support for development of implementations and
>>> for deployment
>>>   > of REQUIRETLS.  I'm hoping that hrpc folks (you) can help me find
>>> more. There
>>>   > are currently implementations for the Exim and the MDaemon mail
>>> servers, and
>>>   > I’d like to see more development as well.
>>
>> Are you looking for package maintainers, human rights relevant
>> deployments, funding, or researchers? I think we could help you with
>> contacts in all these fields, so a more specific ask would be
>> tremendously helpful!
> 
> Some of these:
> 
> - Package maintainers: Not yet, we need packages to maintain :)
> - Human rights relevant deployments: This is the main thing that I was
> hoping for by reaching out to hrpc.

I suggest reaching out to the folks at https://riseup.net/ and
https://greenhost.net/ who are providing email services for quite a few
activists. If you have problems getting in contact with them feel free
to ping me off-list.

Cheers,

Niels

> - Funding: Not needed for me, although some developers of
> implementations might be looking for some.
> - Researchers: There was some good research done several years ago
> (http://dx.doi.org/10.1145/2815675.2815695 see especially section 5.1)
> and at some point it might be good to get some updated numbers. But not
> immediately a priority.
> 
> My main concern right now is that REQUIRETLS attract some notice and
> deployment so that it can so some good, rather than "merely" become a
> standards-track RFC.
> 
> -Jim
> 
> _______________________________________________
> hrpc mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/hrpc

-- 
Niels ten Oever
Researcher and PhD Candidate
Datactive Research Group
University of Amsterdam

PGP fingerprint	   2458 0B70 5C4A FD8A 9488
                   643A 0ED8 3F3A 468A C8B3

---

From: Jim Fenton <[email-masked]>
Date: Sat, 18 Aug 2018 22:15:27 -0600

> 
> On Aug 18, 2018, at 11:39 AM, Niels ten Oever <[email-masked]> wrote:
> 
Thanks; I’ll give that a try.

-Jim